Skip to main content
POST
/
reports
/
schedules
/
{schedule_id}
/
trigger
Trigger Schedule Run
curl --request POST \
  --url https://analyst.heyhumm.ai/reports/schedules/{schedule_id}/trigger \
  --header 'Authorization: Bearer <token>'
{
  "run": {
    "schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user_email": "<string>",
    "status": "triggered",
    "started_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z",
    "error_message": "<string>",
    "thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "summary": "<string>",
    "is_read": true,
    "read_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "is_source_run": true,
    "source_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://heyhumm.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

schedule_id
string<uuid>
required

Schedule ID

Query Parameters

organization_id
string
required

Response

Successful Response

Response for manual trigger endpoint.

run
CommandRunResponse · object
required

Response model for command run.

message
string
required